This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 80254 - SRPMS: install failed due to missing src/autorun file
SRPMS: install failed due to missing src/autorun file
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
8.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-23 05:45 EST by Sysoltsev Slawa
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-23 10:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sysoltsev Slawa 2002-12-23 05:45:16 EST
Description of problem:
Trying to build & install redhat-config-packages from SRPMS I've got such error:

Executing(%doc): /bin/sh -
e /netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/tmp/rpm-tmp.75916
+ umask 022
+ cd /netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/BUILD
+ cd redhat-config-packages-1.0.1
+ DOCDIR=/netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/tmp/redhat-config-
packages-1.0.1-root/usr/share/doc/redhat-config-packages-
1.0.1
+ export DOCDIR
+ rm -rf /netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/tmp/redhat-config-
packages-1.0.1-root/usr/share/doc/redhat-config-packages-
1.0.1
+ /bin/mkdir -p /netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/tmp/redhat-config-
packages-1.0.1-root/usr/share/doc/redhat-config-pa
ckages-1.0.1
+ cp -pr ChangeLog src/autorun 
README /netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/tmp/redhat-config-packages-
1.0.1-root/usr/shar
e/doc/redhat-config-packages-1.0.1
cp: cannot stat `src/autorun': No such file or directory
error: Bad exit status 
from /netbatch/TC4094/rh80_ia32_M/default/WORK_DIR/tmp/rpm-tmp.75916 (%doc)

In package is no src/autorun file. Seems you've missed it during packaging.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -bb redhat-config-packages.spec

    
Actual results:
Installation error.

Expected results:
Succesfully built & installed package.

Additional info:
Comment 1 Jeremy Katz 2002-12-23 10:00:28 EST
This is already fixed in the rawhide packages

Note You need to log in before you can comment on or make changes to this bug.